all: ../for_upload/mz_testlevel.bmf

../for_upload/mz_testlevel.bmf: testmovie.bmf startanim.bmf config SND/* GFX/* LEVELS/*
	bmfcompress META config ../for_upload/mz_testlevel.bmf

clean:
	rm -f ../for_upload/mz_testlevel.bmf
	rm -f testmovie.bmf
	rm -f startanim.bmf

testmovie.bmf: testmovie/*
	bmfcompress 16 207 testmovie.bmf testmovie oops.ogg

startanim.bmf: startanim/*
	bmfcompress 14 59 startanim.bmf startanim
